## haskell-hcwiid 0.0.6.1

=== test/Makefile ===
all: Test

Test: Test.hs
	ghc --make -rtsopts -Wall Test.hs -o Test

lint: Test.hs
	hlint -c Test.hs

clean:
	rm -rf Test
	rm -rf *.hi *.o
	rm -rf *~

.PHONY: lint clean

## haskell-hcwiid 0.0.1

=== debian/changelog ===
haskell-hcwiid (0.0.1-5) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:52 +0200

haskell-hcwiid (0.0.1-4) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:02 +0200

haskell-hcwiid (0.0.1-3) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 11:19:55 +0000

haskell-hcwiid (0.0.1-2) unstable; urgency=low

  * change Vcs-* lines on debian/control.
  * ITP (Closes: #646408)

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Wed, 26 Oct 2011 14:00:08 +0900

haskell-hcwiid (0.0.1-1) UNRELEASED; urgency=low

  * Debianization generated by cabal-debian

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Wed, 26 Oct 2011 00:12:23 +0900

=== debian/control ===
Source: haskell-hcwiid
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends: debhelper (>= 9),
               haskell-devscripts (>= 0.8.13),
               cdbs,
               ghc,
               ghc-prof,
               libbluetooth-dev,
               libcwiid-dev
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: https://gitorious.org/hcwiid
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hcwiid
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hcwiid
DM-Upload-Allowed: yes

Package: libghc-hcwiid-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${haskell:Depends},
         ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Library to interface with the wiimote
 HCWiid is a working userspace driver along with various
 applications implementing event drivers, multiple
 wiimote connectivity, gesture recognition,
 and other Wiimote-based functionality.
 .
 This package contains the normal library files.

Package: libghc-hcwiid-prof
Architecture: any
Depends: ${haskell:Depends},
         ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Library to interface with the wiimote; profiling libraries
 HCWiid is a working userspace driver along with various
 applications implementing event drivers, multiple
 wiimote connectivity, gesture recognition,
 and other Wiimote-based functionality.
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-hcwiid-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
         ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Library to interface with the wiimote; documentation
 HCWiid is a working userspace driver along with various
 applications implementing event drivers, multiple
 wiimote connectivity, gesture recognition,
 and other Wiimote-based functionality.
 .
 This package contains the documentation files.

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hcwiid-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hcwiid \
    ([\d\.]*\d)/

## haskell-hcwiid 0.0.5

=== debian/changelog ===
haskell-hcwiid (0.0.5-4) unstable; urgency=medium

  * Fix Vcs-* headers.

 -- Clint Adams <clint@debian.org>  Fri, 30 Sep 2016 11:12:27 -0400

haskell-hcwiid (0.0.5-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:17 +0200

haskell-hcwiid (0.0.5-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:48 +0100

haskell-hcwiid (0.0.5-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Kiwamu Okabe ]
  * New upstream version

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Wed, 28 May 2014 19:31:27 +0900

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>= 9),
-               haskell-devscripts (>= 0.8.13),
+               haskell-devscripts (>= 0.9),
                cdbs,
                ghc,
                ghc-prof,
                libbluetooth-dev,
                libcwiid-dev
 Build-Depends-Indep: ghc-doc
-Standards-Version: 3.9.4
-Homepage: https://gitorious.org/hcwiid
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hcwiid
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hcwiid
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.8
+Homepage: https://github.com/ivanperez-keera/hcwiid
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hcwiid
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-hcwiid-dev
 Architecture: any

## haskell-hcwiid 0.0.6.1

=== debian/changelog ===
haskell-hcwiid (0.0.6.1-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 29 Jun 2022 20:45:34 +0300

haskell-hcwiid (0.0.6.1-4) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 13:39:47 +0300

haskell-hcwiid (0.0.6.1-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:43 +0300

haskell-hcwiid (0.0.6.1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Convert d/copyright to dep5 format
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:51 -0400

haskell-hcwiid (0.0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Sep 2017 13:47:18 -0700

haskell-hcwiid (0.0.5-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:02 -0400

haskell-hcwiid (0.0.5-5) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 19:16:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: haskell-hcwiid
-Priority: extra
+Priority: optional
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: debhelper (>= 9),
-               haskell-devscripts (>= 0.9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
+               haskell-devscripts (>= 0.13),
                cdbs,
-               ghc,
+               ghc (>= 8.0),
                ghc-prof,
                libbluetooth-dev,
                libcwiid-dev
 Build-Depends-Indep: ghc-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.6.1
 Homepage: https://github.com/ivanperez-keera/hcwiid
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hcwiid
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hcwiid
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hcwiid]
 
 Package: libghc-hcwiid-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/hcwiid/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
